From 27d285c96226b9a42ab9241141a2f233949365eb Mon Sep 17 00:00:00 2001
From: raphaesl <raphaesl@stud.ntnu.no>
Date: Sat, 25 Mar 2023 17:13:04 +0100
Subject: [PATCH] pushed scaling to live version

---
 configuration/manager/frontpage_scale.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/configuration/manager/frontpage_scale.sh b/configuration/manager/frontpage_scale.sh
index 6370104..48da2da 100644
--- a/configuration/manager/frontpage_scale.sh
+++ b/configuration/manager/frontpage_scale.sh
@@ -52,6 +52,7 @@ function scale {
         # Safety valve is off, we're running the command
         $SSH_COMMAND $COMMAND
         discord_log "Scaling to $1 frontpage users."
+        echo "$1" > /home/ubuntu/logs/frontpage
 
     else
         # Saftey valve is on, we only print what we would do
@@ -78,6 +79,13 @@ fi
 # Get current download times:
 DOWNLOAD_TIME=$( curl -s -g 'http://admin:admin@192.168.132.61:9090/api/v1/query?query=last_download_time{name="'$COMPANY_NAME'"}' | jq -r '.data.result[].value[1] ')
 NUMBER_OF_FRONTPAGE_USERS=$( curl -s -g 'http://admin:admin@192.168.132.61:9090/api/v1/query?query=frontpage_count{name="'$COMPANY_NAME'"}' | jq -r '.data.result[].value[1] ')
+LOCAL_FRONTPAGE=$(cat /home/ubuntu/logs/frontpage)
+
+if (( "$NUMBER_OF_FRONTPAGE_USERS" != "$LOCAL_FRONTPAGE" )); then
+    echo "Frontpage count not aligned with local value."
+    exit 1
+fi
+
 echo "Observed download time: $DOWNLOAD_TIME"
 
 # check if we are below the lower threshold. If we are, we scale up
-- 
GitLab